## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
Containers for students.
"""
import grok
import os
from zope.component.interfaces import IFactory
from zope.interface import implementedBy
from waeup.sirp.students.interfaces import IStudentsContainer

class StudentsContainer(grok.Container):
    """
    The node containing the student models
    """

    grok.implements(IStudentsContainer)

    def archive(self, id=None):
        raise NotImplementedError()

    def clear(self, id=None, archive=True):
        raise NotImplementedError()
    
class StudentsContainerFactory(grok.GlobalUtility):
    """A factory for students containers.
    """
    grok.implements(IFactory)
    grok.name(u'waeup.StudentsContainer')
    title = u"Create a new students container.",
    description = u"This factory instantiates new students containers."

    def __call__(self, *args, **kw):
        return StudentsContainer()

    def getInterfaces(self):
        return implementedBy(StudentsContainer)
